/*
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package de.hillenbrand.demo;

import java.text.MessageFormat;
import java.util.MissingResourceException;
import java.util.ResourceBundle;


class Helper {
	// Resources
	final static ResourceBundle resources = ResourceBundle.getBundle("de.hillenbrand.demo.resources.demo");
	
	
	private Helper()  {
	}

	
	static String GRS(String id)  {
		try
			{
			return resources.getString(id);
			}
		catch (MissingResourceException x) 
			{
			System.err.println(x.getLocalizedMessage() + ": '" + id + "'" );
			return "MISSING RESOURCE: " + id;
			}
	}

	
	static String GRS(String id, String arg1)  {
		String res = GRS(id);
		
		try
			{
			res = MessageFormat.format(res, new Object [] { arg1 });
			}
		catch (Exception x) { System.err.println(x); }
		
		return res;
	}

}
